a:link {
  color: #4CAF50;
}

a:visited {
  color: #45a049;
}

a:hover {
  color: #45a049;
}

a:active {
  color: #4CAF50;
}

body {
    font-family: "Oswald", sans-serif;
    margin: 0;
    padding: 20px;
    background-image: url(bg6.gif)
}

.calculator-container {
    max-width: 450px;
    margin: 0 auto;
    background: #fff;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.calculator-container2 {
    background-color: transparent;
    padding: 10px;
    border-radius: 8px;
}

h1 {
    text-align: center;
    font-size: 22px;
}

b1 {
    text-align: center;
    font-size: 35px;
}

h2 {
    text-align: center;
    color: #363636;
    font-size: 14px;
    font-weight: 300
}

h3 {
    text-align: center;
    color: #9e9e9e;
    font-size: 8px;
    font-weight: 300
}

.hero { 
    margin-top: 1em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    padding: 30px;
}

p {
    max-width: 450px;
}

.logo {
    text-align: center;
    color: #b52929;
    font-size: 30px;
    font-weight: bold;
    text-transform: uppercase;
    font-family: "Oswald", sans-serif;
    font-style: normal;
}

.emoji {
    margin-right: 1px;
    font-size: 30px;
}

.form-group {
    margin-bottom: 15px;
}

.form-group2 {
    margin-bottom: 15px;
}

label {
    display: block;
    margin-bottom: 5px;
}

input[type="number"] {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

button {
    padding: 15px 30px;
    background-color: #4CAF50;
    color: white;
    font-size: 1.2em;
    text-decoration: none;
    border-radius: 5px;
    margin: 10px 0;
    transition: background-color 0.3s;
    width: 250px;
    text-align: center;
}

button:hover {
    background-color: #45a049;
}

.result {
    margin-top: 20px;
    margin-bottom: 30px;
    text-align: center;
}

.result p {
    font-size: 24px;
}

.button-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button-container a {
    padding: 15px 30px;
    background-color: #4CAF50;
    color: white;
    font-size: 1.2em;
    text-decoration: none;
    border-radius: 5px;
    margin: 10px 0;
    transition: background-color 0.3s;
    width: 250px;
    text-align: center;
}

.button-container a:hover {
    background-color: #45a049;
}

.input-group {
    margin-bottom: 15px;
}

.input-group label {
    display: block;
    margin-bottom: 5px;
}

.input-group select,
.input-group input {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
}

.input-group input[type="checkbox"] {
    width: auto;
}

.result {
    text-align: center;
    margin-top: 20px;
    font-size: 18px;
    font-weight: bold;
}

/* Stil för knappen */
.calculate-button {
    display: block;
    width: 100%;
    padding: 10px;
    background-color: #4CAF50;
    color: white;
    font-size: 18px;
    text-align: center;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
    margin-top: 20px;
}

.calculate-button:hover {
    background-color: #45a049;
}

.button-bajs {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button-bajs a {
    padding: 10px 20px;
    background-color: #ffffff;
    color: #45a049;
    font-size: 1.2em;
    text-decoration: none;
    border-radius: 5px;
    margin: 10px 0;
    transition: background-color 0.3s;
    width: 120px;
    text-align: center;
}